UbixOS V2 2.0

Data Fields
trapframe Struct Reference

`#include <trap.h>`

Collaboration diagram for trapframe:

## Data Fields
int | tf_cs
int | tf_ds
int | tf_eax
int | tf_ebp
int | tf_ebx
int | tf_ecx
int | tf_edi
int | tf_edx
int | tf_eflags
int | tf_eip
int | tf_err
int | tf_es
int | tf_esi
int | tf_esp
int | tf_fs
int | tf_gs
int | tf_isp
int | tf_ss
int | tf_trapno

## Detailed Description

Definition at line 34 of file trap.h.

## Field Documentation

## ◆ tf_cs

int trapframe::tf_cs

Definition at line 51 of file trap.h.

Referenced by die_if_kernel(), and sys_fork().

## ◆ tf_ds

int trapframe::tf_ds

Definition at line 38 of file trap.h.

Referenced by die_if_kernel(), and sys_fork().

## ◆ tf_eax

int trapframe::tf_eax

Definition at line 46 of file trap.h.

Referenced by die_if_kernel(), sys_call(), sys_call_posix(), and sys_invalid().

## ◆ tf_ebp

int trapframe::tf_ebp

Definition at line 41 of file trap.h.

Referenced by die_if_kernel(), and sys_fork().

## ◆ tf_ebx

int trapframe::tf_ebx

Definition at line 43 of file trap.h.

Referenced by die_if_kernel(), and sys_fork().

## ◆ tf_ecx

int trapframe::tf_ecx

Definition at line 45 of file trap.h.

Referenced by die_if_kernel(), and sys_fork().

## ◆ tf_edi

int trapframe::tf_edi

Definition at line 39 of file trap.h.

Referenced by die_if_kernel(), and sys_fork().

## ◆ tf_edx

int trapframe::tf_edx

Definition at line 44 of file trap.h.

Referenced by die_if_kernel(), sys_call(), sys_call_posix(), and sys_fork().

## ◆ tf_eflags

int trapframe::tf_eflags

Definition at line 52 of file trap.h.

Referenced by die_if_kernel(), sys_call(), sys_call_posix(), and sys_fork().

## ◆ tf_eip

int trapframe::tf_eip

Definition at line 50 of file trap.h.

Referenced by die_if_kernel(), sys_fork(), and vmm_pageFault().

## ◆ tf_err

int trapframe::tf_err

Definition at line 49 of file trap.h.

Referenced by die_if_kernel(), and vmm_pageFault().

## ◆ tf_es

int trapframe::tf_es

Definition at line 37 of file trap.h.

Referenced by die_if_kernel(), and sys_fork().

## ◆ tf_esi

int trapframe::tf_esi

Definition at line 40 of file trap.h.

Referenced by die_if_kernel(), and sys_fork().

## ◆ tf_esp

int trapframe::tf_esp

Definition at line 54 of file trap.h.

Referenced by die_if_kernel(), sys_call(), sys_call_posix(), sys_fork(), and vmm_pageFault().

## ◆ tf_fs

int trapframe::tf_fs

Definition at line 36 of file trap.h.

Referenced by die_if_kernel(), and sys_fork().

## ◆ tf_gs

int trapframe::tf_gs

Definition at line 35 of file trap.h.

Referenced by die_if_kernel().

## ◆ tf_isp

int trapframe::tf_isp

Definition at line 42 of file trap.h.

## ◆ tf_ss

int trapframe::tf_ss

Definition at line 55 of file trap.h.

Referenced by die_if_kernel(), and sys_fork().

## ◆ tf_trapno

int trapframe::tf_trapno

Definition at line 47 of file trap.h.

Referenced by die_if_kernel(), and trap().

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/sys/trap.h